org.bouncycastle.asn1.x509

## Class KeyPurposeId

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.DERObject
    - - org.bouncycastle.asn1.ASN1Object
      - - org.bouncycastle.asn1.DERObjectIdentifier
        - - org.bouncycastle.asn1.x509.KeyPurposeId

All Implemented Interfaces:
  DEREncodable, DERTags

    public class KeyPurposeId
    extends DERObjectIdentifier

The KeyPurposeId object.

         KeyPurposeId ::= OBJECT IDENTIFIER

         id-kp ::= OBJECT IDENTIFIER { iso(1) identified-organization(3)
              dod(6) internet(1) security(5) mechanisms(5) pkix(7) 3}

### Field Summary

Fields
`static KeyPurposeId` `anyExtendedKeyUsage` { 2 5 29 37 0 }
`static KeyPurposeId` `id_kp_capwapAC` { id-kp 18 }
`static KeyPurposeId` `id_kp_capwapWTP` { id-kp 19 }
`static KeyPurposeId` `id_kp_clientAuth` { id-kp 2 }
`static KeyPurposeId` `id_kp_codeSigning` { id-kp 3 }
`static KeyPurposeId` `id_kp_dvcs` { id-kp 10 }
`static KeyPurposeId` `id_kp_eapOverLAN` { id-kp 14 }
`static KeyPurposeId` `id_kp_eapOverPPP` { id-kp 13 }
`static KeyPurposeId` `id_kp_emailProtection` { id-kp 4 }
`static KeyPurposeId` `id_kp_ipsecEndSystem` Usage deprecated by RFC4945 - was { id-kp 5 }
`static KeyPurposeId` `id_kp_ipsecIKE` { id-kp 17 }
`static KeyPurposeId` `id_kp_ipsecTunnel` Usage deprecated by RFC4945 - was { id-kp 6 }
`static KeyPurposeId` `id_kp_ipsecUser` Usage deprecated by RFC4945 - was { idkp 7 }
`static KeyPurposeId` `id_kp_OCSPSigning` { id-kp 9 }
`static KeyPurposeId` `id_kp_sbgpCertAAServerAuth` { id-kp 11 }
`static KeyPurposeId` `id_kp_scvp_responder` { id-kp 12 }
`static KeyPurposeId` `id_kp_scvpClient` { id-kp 16 }
`static KeyPurposeId` `id_kp_scvpServer` { id-kp 15 }
`static KeyPurposeId` `id_kp_serverAuth` { id-kp 1 }
`static KeyPurposeId` `id_kp_smartcardlogon` { 1 3 6 1 4 1 311 20 2 2 }
`static KeyPurposeId` `id_kp_timeStamping` { id-kp 8 }

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Fields inherited from interface org.bouncycastle.asn1.DERTags

`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

### Constructor Summary

Constructors
Constructor and Description
`KeyPurposeId(java.lang.String id)` Create a KeyPurposeId from an OID string

### Method Summary

### Methods inherited from class org.bouncycastle.asn1.DERObjectIdentifier

`getId, getInstance, getInstance, hashCode, toString`

### Methods inherited from class org.bouncycastle.asn1.ASN1Object

`equals, fromByteArray`

### Methods inherited from class org.bouncycastle.asn1.DERObject

`toASN1Object`

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`getDEREncoded, getDERObject, getEncoded, getEncoded`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### anyExtendedKeyUsage

    public static final KeyPurposeId anyExtendedKeyUsage

{ 2 5 29 37 0 }

#### id_kp_serverAuth

    public static final KeyPurposeId id_kp_serverAuth

{ id-kp 1 }

#### id_kp_clientAuth

    public static final KeyPurposeId id_kp_clientAuth

{ id-kp 2 }

#### id_kp_codeSigning

    public static final KeyPurposeId id_kp_codeSigning

{ id-kp 3 }

#### id_kp_emailProtection

    public static final KeyPurposeId id_kp_emailProtection

{ id-kp 4 }

#### id_kp_ipsecEndSystem

    public static final KeyPurposeId id_kp_ipsecEndSystem

Usage deprecated by RFC4945 - was { id-kp 5 }

#### id_kp_ipsecTunnel

    public static final KeyPurposeId id_kp_ipsecTunnel

Usage deprecated by RFC4945 - was { id-kp 6 }

#### id_kp_ipsecUser

    public static final KeyPurposeId id_kp_ipsecUser

Usage deprecated by RFC4945 - was { idkp 7 }

#### id_kp_timeStamping

    public static final KeyPurposeId id_kp_timeStamping

{ id-kp 8 }

#### id_kp_OCSPSigning

    public static final KeyPurposeId id_kp_OCSPSigning

{ id-kp 9 }

#### id_kp_dvcs

    public static final KeyPurposeId id_kp_dvcs

{ id-kp 10 }

#### id_kp_sbgpCertAAServerAuth

    public static final KeyPurposeId id_kp_sbgpCertAAServerAuth

{ id-kp 11 }

#### id_kp_scvp_responder

    public static final KeyPurposeId id_kp_scvp_responder

{ id-kp 12 }

#### id_kp_eapOverPPP

    public static final KeyPurposeId id_kp_eapOverPPP

{ id-kp 13 }

#### id_kp_eapOverLAN

    public static final KeyPurposeId id_kp_eapOverLAN

{ id-kp 14 }

#### id_kp_scvpServer

    public static final KeyPurposeId id_kp_scvpServer

{ id-kp 15 }

#### id_kp_scvpClient

    public static final KeyPurposeId id_kp_scvpClient

{ id-kp 16 }

#### id_kp_ipsecIKE

    public static final KeyPurposeId id_kp_ipsecIKE

{ id-kp 17 }

#### id_kp_capwapAC

    public static final KeyPurposeId id_kp_capwapAC

{ id-kp 18 }

#### id_kp_capwapWTP

    public static final KeyPurposeId id_kp_capwapWTP

{ id-kp 19 }

#### id_kp_smartcardlogon

    public static final KeyPurposeId id_kp_smartcardlogon

{ 1 3 6 1 4 1 311 20 2 2 }

### Constructor Detail

#### KeyPurposeId

    public KeyPurposeId(java.lang.String id)

Create a KeyPurposeId from an OID string

Parameters:
  `id` - OID String. E.g. "1.3.6.1.5.5.7.3.1"